<h2>Agregar nuevo elemento al catálogo {{title}}</h2>
<br>
<mat-dialog-content [formGroup]="form">
  <ng-container *ngFor="let column of columnas">
    <mat-form-field appearance="outline">
      <mat-label>{{ column.name }}</mat-label>
      <ng-container [ngSwitch]="column.type">
        <input matInput *ngSwitchCase="'int'" type="number" onkeypress="return event.charCode >= 48" formControlName="{{column.name}}">
        <input matInput type="text" *ngSwitchCase="'string'" formControlName="{{column.name}}">
        <input matInput *ngSwitchCase="'float'" type="number" onkeypress="return event.charCode == 46 || (event.charCode >= 48 && event.charCode <= 57)" formControlName="{{column.name}}">
      </ng-container>
      <br>
    </mat-form-field>
    <br/>
    <br/>
  </ng-container>
</mat-dialog-content>
<div mat-dialog-actions >
  <button mat-stroked-button color="accent" (click)="onNoClick()">Cancelar</button>
  <button mat-flat-button color="primary" [disabled]="!form.valid" (click)="save()">Agregar</button>
</div>
